comparison libtomcrypt/coverage_more.sh @ 1478:3a933956437e coverity

update coverity
author Matt Johnston <matt@ucc.asn.au>
date Fri, 09 Feb 2018 23:49:22 +0800
parents 6dba84798cd5
children
comparison
equal deleted inserted replaced
1439:8d24733026c5 1478:3a933956437e
1 #!/bin/bash
2
3 set -e
4
5 ./sizes
6 ./constants
7
8 for i in $(for j in $(echo $(./hashsum -h | awk '/Algorithms/,EOF' | tail -n +2)); do echo $j; done | sort); do echo -n "$i: " && ./hashsum -a $i tests/test.key ; done > hashsum_tv.txt
9 difftroubles=$(diff -i -w -B hashsum_tv.txt notes/hashsum_tv.txt | grep '^<') || true
10 if [ -n "$difftroubles" ]; then
11 echo "FAILURE: hashsum_tv.tx"
12 diff -i -w -B hashsum_tv.txt notes/hashsum_tv.txt
13 echo "hashsum failed"
14 exit 1
15 else
16 echo "hashsum okay"
17 fi
18
19
20 exit 0
21
22 # ref: $Format:%D$
23 # git commit: $Format:%H$
24 # commit time: $Format:%ai$